POST /api/v2/sign — Sign Document V2
The Sadq API (Version 2) provides a seamless way for clients to electronically sign documents directly without redirecting to external websites. This API allows clients to collect customer information and combine it with the document to create legally binding digital signatures. This endpoint allows you to sign a document digitally by providing customer information and document details. The document is digitally signed and legally bound. invitation, applying the user's electronic signature.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- documentId (string, required)
- The unique identifier of the document to be signed.
- signres (array, required)
- An array of objects representing the customer information for signing.
{
"documentId": "",
"signres": [
{
"firstNameArabic": "",
"firstNameEnglish": "",
"secondNameArabic": "",
"secondNameEnglish": "",
"familyNameArabic": "",
"familyNameEnglish": "",
"nationalId": "",
"mobileNumber": "",
"emailAddress": ""
},
{
"firstNameArabic": "",
"firstNameEnglish": "",
"secondNameArabic": "",
"secondNameEnglish": "",
"familyNameArabic": "",
"familyNameEnglish": "",
"nationalId": "",
"mobileNumber": "",
"emailAddress": ""
}
]
}Responses
HTTP 200 — Document signed successfully
{
"errorCode": 0,
"message": "Success",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}HTTP 200 — GeneralError
{
"errorCode": 100,
"message": "GeneralError",
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}